<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for HotelPortfolio StructType
 * @subpackage Structs
 */
class HotelPortfolio extends AbstractStructBase
{
    /**
     * The HotelPortfolioRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_HotelPortfolioRQ
     */
    public $HotelPortfolioRQ;
    /**
     * Constructor method for HotelPortfolio
     * @uses HotelPortfolio::setHotelPortfolioRQ()
     * @param \StructType\JP_HotelPortfolioRQ $hotelPortfolioRQ
     */
    public function __construct(\StructType\JP_HotelPortfolioRQ $hotelPortfolioRQ = null)
    {
        $this
            ->setHotelPortfolioRQ($hotelPortfolioRQ);
    }
    /**
     * Get HotelPortfolioRQ value
     * @return \StructType\JP_HotelPortfolioRQ|null
     */
    public function getHotelPortfolioRQ()
    {
        return $this->HotelPortfolioRQ;
    }
    /**
     * Set HotelPortfolioRQ value
     * @param \StructType\JP_HotelPortfolioRQ $hotelPortfolioRQ
     * @return \StructType\HotelPortfolio
     */
    public function setHotelPortfolioRQ(\StructType\JP_HotelPortfolioRQ $hotelPortfolioRQ = null)
    {
        $this->HotelPortfolioRQ = $hotelPortfolioRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\HotelPortfolio
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
